local assets = 
{
    Asset("ANIM", "anim/rivenw.zip"),
}

local function kill_fx(inst)
    inst:DoTaskInTime(0, function() inst:Remove() end)    
end

local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()
    anim:SetBank("rivenw")
    anim:SetBuild("rivenw")
    anim:PlayAnimation("rivenw_play",false)
    inst.kill_fx = kill_fx
    inst:DoTaskInTime(5, function() inst:Remove() end)  
    return inst
end

return Prefab("rivenw", fn, assets)